# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`munge`](#munge): Manage MUNGE

_Private Classes_

* `munge::config`: Manage munge config
* `munge::install`: Manage munge packages
* `munge::repo`: Manage munge repo
* `munge::service`: Manage munge service
* `munge::user`: Manage munge user and group

## Classes

### munge

Manage MUNGE

#### Examples

##### 

```puppet
class { 'munge':
   munge_key_source  => 'puppet:///modules/site_munge/munge.key',
 }
```

#### Parameters

The following parameters are available in the `munge` class.

##### `manage_repo`

Data type: `Boolean`

Whether or not to manage the repo necessary to install munge.
If set to false, it is assumed that the munge RPMs are available via a different repository.

Default value: `true`

##### `package_ensure`

Data type: `String`

package 'ensure' property

Default value: 'present'

##### `package_name`

Data type: `String`

Munge package name.

Default value: 'munge'

##### `install_dev`

Data type: `Boolean`

Sets if the munge-devel package should be installed

Default value: `false`

##### `dev_package_name`

Data type: `String`

Munge dev package name.

Default value: 'munge-devel'

##### `service_name`

Data type: `String`

Munge service name

Default value: 'munge'

##### `service_ensure`

Data type: `String`

Munge service 'ensure' property

Default value: 'running'

##### `service_enable`

Data type: `Boolean`

Munge service 'enable' property

Default value: `true`

##### `service_hasstatus`

Data type: `Boolean`

Munge service hasstatus value.

Default value: `true`

##### `service_hasrestart`

Data type: `Boolean`

Munge service hasrestart value.

Default value: `true`

##### `munge_key_path`

Data type: `Stdlib::Absolutepath`

Path to the munge.key file.  Default is OS dependent.

Default value: '/etc/munge/munge.key'

##### `munge_key_source`

Data type: `Optional[String]`

The source for the munge.key file

Default value: `undef`

##### `manage_user`

Data type: `Boolean`

Boolen that determines if munge user and group should be managed

Default value: `true`

##### `munge_user_uid`

Data type: `Optional[Integer]`

UID of the munge user

Default value: `undef`

##### `munge_group_gid`

Data type: `Optional[Integer]`

GID of the munge group

Default value: `undef`

##### `munge_user_shell`

Data type: `Stdlib::Absolutepath`

Shell of munge user

Default value: '/sbin/nologin'

##### `munge_user_home`

Data type: `Stdlib::Absolutepath`

Home directory of munge user

Default value: '/var/run/munge'

